//
//  IvrJackService.h
//  IvrJack
//
//  Created by rfid on 12-12-11.
//  Copyright 2012 . All rights reserved.
//

#import <UIKit/UIKit.h>

@interface IvrJackService : NSObject

@property(nonatomic, assign) id delegate;
@property (nonatomic,assign) BOOL isCancel;

-(void) open;
-(void) close;
-(void) didEnterBackground;
-(void) didBecomeActive;
-(int) readTag;
-(int) getTagUID: (unsigned int *) uid;
-(int) getTagUID: (UInt8[]) ids cardType: (UInt8*) cardType;
-(int) tagAuthenticate: (UInt8) sector pwds: (UInt8[]) pwds;
-(int) tagAuthenticate: (UInt8) keyType sector: (UInt8) sector pwds: (UInt8[]) pwds;
-(int) tagReadData: (UInt8) block data: (UInt8[]) data;
-(int) tagReadBlockData: (UInt8) sector1 block1: (UInt8) block1 sector2: (UInt8) sector2 block2: (UInt8) block2 pwds: (UInt8[]) pwds data: (UInt8[]) data;
-(int) tagReadBlockData: (UInt8) keyType secotr1: (UInt8) sector1 block1: (UInt8) block1 sector2: (UInt8) sector2 block2: (UInt8) block2 pwds: (UInt8[]) pwds data: (UInt8[]) data;
-(int) tagWriteData: (UInt8) block data: (UInt8[]) data;
//
-(int) tagReadDataUL: (UInt8) block length: (UInt8) length data: (UInt8[]) data;
-(int) tagWriteDataUL: (UInt8) block length: (UInt8) length data: (UInt8[]) data;

@end


//IvrJack 状态
typedef enum {
	/**
	 * 状态：正在识别设备
	 */
	ijsDetecting,
	/**
	 * 状态：设备已识别
	 */
	ijsRecognized,
	/**
	 * 状态：设备未识别
	 */
	ijsUnRecognized,
	/**
	 * 状态：设备已拨出
	 */
	ijsPlugout
} IvrJackStatus;

//IvrJack 代理协议的声明
@protocol IvrJackDelegate <NSObject>
	-(void) readerConnect:(NSString *) deviceSN;
	-(void) readerDisconnect;
	-(void) readerStatusChange: (IvrJackStatus) status;
@end
